libpacemaker-devel-2.0.1+20190408.1b68da8e8-1.1.x86_64.rpm


Advertisement

Description

libpacemaker-devel - Pacemaker development package

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libpacemaker-devel-2.0.1+20190408.1b68da8e8-1.1.x86_64.rpm
Package name libpacemaker-devel
Package version 2.0.1+20190408.1b68da8e8
Package release 1.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage http://www.clusterlabs.org
License GPL-2.0-only AND GPL-2.0-or-later AND LGPL-2.1-or-later
Maintainer -
Download size 224.75 KB
Installed size 368.54 KB
Pacemaker is an advanced, scalable High-Availability cluster resource
manager.
The libpacemaker-devel package contains headers and shared libraries
for developing tools for Pacemaker.

Alternatives

Package Version Architecture Repository
libpacemaker-devel-2.0.1+20190408.1b68da8e8-1.1.i586.rpm 2.0.1+20190408.1b68da8e8 i586 openSUSE Oss
libpacemaker-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libpacemaker3 = 2.0.1+20190408.1b68da8e8-1.1
libtool-ltdl-devel -
pkgconfig -
pkgconfig(bzip2) -
pkgconfig(corosync) >= 2.0.0
pkgconfig(glib-2.0) -
pkgconfig(libqb) -
pkgconfig(libxml-2.0) -
pkgconfig(libxslt) -
pkgconfig(uuid) -

Provides

Name Value
libpacemaker-devel = 2.0.1+20190408.1b68da8e8-1.1
libpacemaker-devel(x86-64) = 2.0.1+20190408.1b68da8e8-1.1
pkgconfig(libpacemaker) = 2.0.1+20190408.1b68da8e8-1.1
pkgconfig(pacemaker) = 2.0.1+20190408.1b68da8e8-1.1
pkgconfig(pacemaker-cib) = 2.0.1+20190408.1b68da8e8-1.1
pkgconfig(pacemaker-cluster) = 2.0.1+20190408.1b68da8e8-1.1
pkgconfig(pacemaker-fencing) = 2.0.1+20190408.1b68da8e8-1.1
pkgconfig(pacemaker-lrmd) = 2.0.1+20190408.1b68da8e8-1.1
pkgconfig(pacemaker-pe_rules) = 2.0.1+20190408.1b68da8e8-1.1
pkgconfig(pacemaker-pe_status) = 2.0.1+20190408.1b68da8e8-1.1
pkgconfig(pacemaker-service) = 2.0.1+20190408.1b68da8e8-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libpacemaker-devel-2.0.1+20190408.1b68da8e8-1.1.x86_64.rpm
Source Package pacemaker-2.0.1+20190408.1b68da8e8-1.1.src.rpm

Install Howto

Install libpacemaker-devel rpm package:

# zypper install libpacemaker-devel

Files

Path
/usr/include/pacemaker/crm_config.h
/usr/include/pacemaker/crm/attrd.h
/usr/include/pacemaker/crm/cib.h
/usr/include/pacemaker/crm/cluster.h
/usr/include/pacemaker/crm/compatibility.h
/usr/include/pacemaker/crm/crm.h
/usr/include/pacemaker/crm/lrmd.h
/usr/include/pacemaker/crm/msg_xml.h
/usr/include/pacemaker/crm/services.h
/usr/include/pacemaker/crm/stonith-ng.h
/usr/include/pacemaker/crm/transition.h
/usr/include/pacemaker/crm/cib/util.h
/usr/include/pacemaker/crm/common/ipc.h
/usr/include/pacemaker/crm/common/iso8601.h
/usr/include/pacemaker/crm/common/logging.h
/usr/include/pacemaker/crm/common/mainloop.h
/usr/include/pacemaker/crm/common/nvpair.h
/usr/include/pacemaker/crm/common/results.h
/usr/include/pacemaker/crm/common/util.h
/usr/include/pacemaker/crm/common/xml.h
/usr/include/pacemaker/crm/pengine/common.h
/usr/include/pacemaker/crm/pengine/complex.h
/usr/include/pacemaker/crm/pengine/pe_types.h
/usr/include/pacemaker/crm/pengine/remote.h
/usr/include/pacemaker/crm/pengine/rules.h
/usr/include/pacemaker/crm/pengine/status.h
/usr/lib64/libcib.so
/usr/lib64/libcrmcluster.so
/usr/lib64/libcrmcommon.so
/usr/lib64/libcrmservice.so
/usr/lib64/liblrmd.so
/usr/lib64/libpacemaker.so
/usr/lib64/libpe_rules.so
/usr/lib64/libpe_status.so
/usr/lib64/libstonithd.so
/usr/lib64/pkgconfig/libpacemaker.pc
/usr/lib64/pkgconfig/pacemaker-cib.pc
/usr/lib64/pkgconfig/pacemaker-cluster.pc
/usr/lib64/pkgconfig/pacemaker-fencing.pc
/usr/lib64/pkgconfig/pacemaker-lrmd.pc
/usr/lib64/pkgconfig/pacemaker-pe_rules.pc
/usr/lib64/pkgconfig/pacemaker-pe_status.pc
/usr/lib64/pkgconfig/pacemaker-service.pc
/usr/lib64/pkgconfig/pacemaker.pc
/usr/share/doc/packages/libpacemaker-devel/COPYING
/usr/share/doc/packages/libpacemaker-devel/ChangeLog

Changelog

2019-04-11 - Yan Gao <ygao@suse.com>
- Rebase:
bug-728579_pacemaker-stonith-dev-id.patch
- Revert "use common service interface for fence-agents and RAs" (bsc#1132123)
* 0002-Revert-use-common-service-interface-for-fence-agents.patch
- Revert "service-lib: avoid call-pattern leading to use-after-free"
* 0001-Revert-Fix-service-lib-avoid-call-pattern-leading-to.patch
2019-04-09 - Yan Gao <ygao@suse.com>
- Update to version 2.0.1+20190408.1b68da8e8:
- scheduler: avoid error log in harmless situation
- libcrmcommon: use INT_MIN/INT_MAX instead of -1 for out-of-range integers
- service-lib: avoid call-pattern leading to use-after-free
- libp-i: Renamed to libpacemaker.
2019-04-04 - Jan Engelhardt <jengelh@inai.de>
- Drop %if..%endif guards around %packages which does not
affect the build result.
2019-04-04 - Yan Gao <ygao@suse.com>
- spec: no need to explicitly require the virtual dependency on libqb
2019-04-04 - Yan Gao <ygao@suse.com>
- Rebase:
* bug-728579_pacemaker-stonith-dev-id.patch
- Update to version 2.0.1+20190402.e091f4f0c:
- scheduler: one group stop shouldn't make another required
- libcrmcommon: compare_version: drop superfluous heap allocation
- libfencing: enumerate installed RHCS-style agents alpha-sorted
- xml diff'ing: prevent 'id' attribute reordering in "diff-removed"
- libcrmcommon: downplay "Creating RNG parser context" as debug prio
- controller: improve failed recurring action messages
- controller: improve lost action logs
- use common service interface for fence-agents and RAs
- libcrmcommon: allow whitespace in name/value pairs
- libcrmcommon: pcmk_nvpair_t should handle NULL values
2019-03-13 - Yan Gao <ygao@suse.com>
- Update to version 2.0.1+20190312.059e2e26b:
- spec: move stonith_admin to -cli where it belongs
- tools: Add crm_rule.
2019-03-12 - Yan Gao <ygao@suse.com>
- Update to version 2.0.1+20190311.e91ee92e5:
- libfencing: Change return type on stonith_agent_exists.
- scheduler: cl#5301 - respect order constraints when relevant resources are being probed (bsc#1117934, bsc#1128374)
2019-03-06 - Yan Gao <ygao@suse.com>
- Update to version 2.0.1+20190304.1ac166cd3:
- build: Update pkgconfig files for libpe.
- libp-i: Add a pkgconfig file for libp-i.
- libs: Rename libpengine to libpacemaker-internal.
- tools: Add new validate options to crm_resource.
- Add HealthIOWait provider which checks hosts's IOWait
- tools: crm_resource --clear should print out what it does
2019-03-05 - Yan Gao <ygao@suse.com>
- Update to version 2.0.1+20190304.9e909a5bd (Pacemaker-2.0.1):
- libcrmcommon: complete interrupted live migrations correctly
2019-02-28 - Yan Gao <ygao@suse.com>
- Update to version 2.0.0+20190225.22ee9a769:
- scheduler: skip all native constraints for unmanaged resources
- scheduler: sort nodes when creating constraints

See Also

Package Description
libpacemaker3-2.0.1+20190408.1b68da8e8-1.1.i586.rpm Core Pacemaker libraries
libpacemaker3-2.0.1+20190408.1b68da8e8-1.1.x86_64.rpm Core Pacemaker libraries
libpackagekit-glib2-18-1.1.12-7.1.i586.rpm GLib integration of PackageKit
libpackagekit-glib2-18-1.1.12-7.1.x86_64.rpm GLib integration of PackageKit
libpackagekit-glib2-18-32bit-1.1.12-7.1.x86_64.rpm GLib integration of PackageKit
libpackagekit-glib2-devel-1.1.12-7.1.i586.rpm GLib integration of PackageKit
libpackagekit-glib2-devel-1.1.12-7.1.x86_64.rpm GLib integration of PackageKit
libpackagekit-glib2-devel-32bit-1.1.12-7.1.x86_64.rpm GLib integration of PackageKit
libpackagekitqt5-1-1.0.1-2.1.i586.rpm Simple software installation management software
libpackagekitqt5-1-1.0.1-2.1.x86_64.rpm Simple software installation management software
libpagemaker-0_0-0-0.0.4-1.5.i586.rpm A library to import Adobe PageMaker documents
libpagemaker-0_0-0-0.0.4-1.5.x86_64.rpm A library to import Adobe PageMaker documents
libpagemaker-devel-0.0.4-1.5.i586.rpm Files for Developing with libpagemaker
libpagemaker-devel-0.0.4-1.5.x86_64.rpm Files for Developing with libpagemaker
libpagemaker-devel-doc-0.0.4-1.5.noarch.rpm Documentation for the libpagemaker API
Advertisement
Advertisement